Bug 967423 - SELinux is preventing /usr/sbin/httpd from using the 'signal' accesses on a process. [NEEDINFO]
SELinux is preventing /usr/sbin/httpd from using the 'signal' accesses on a p...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c8f4075699359d60c127323fbc2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 01:44 EDT by maohero
Modified: 2013-05-28 05:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 05:18:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (maohero)


Attachments (Terms of Use)

  None (edit)
Description maohero 2013-05-27 01:44:21 EDT
Description of problem:
SELinux is preventing /usr/sbin/httpd from using the 'signal' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If 您确定应默认允许 httpd signal 标记为 unconfined_t 的进程。
Then 您应该将这个情况作为 bug 报告。
您可以生成本地策略模块允许这个访问。
Do
请执行以下命令此时允许这个访问:
# grep httpd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023
Target Objects                 [ process ]
Source                        httpd
Source Path                   /usr/sbin/httpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           httpd-2.4.4-2.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-91.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.8-202.fc18.x86_64 #1 SMP Wed
                              Apr 17 23:25:17 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-05-21 09:08:19 CST
Last Seen                     2013-05-21 09:08:19 CST
Local ID                      84098555-a41b-455c-a677-6ce1df850ad2

Raw Audit Messages
type=AVC msg=audit(1369098499.813:385): avc:  denied  { signal } for  pid=4070 comm="httpd" scontext=system_u:system_r:httpd_t:s0 tcontext=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1369098499.813:385): arch=x86_64 syscall=kill success=no exit=EACCES a0=fb2 a1=1c a2=7f88880a7090 a3=f items=0 ppid=1 pid=4070 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)

Hash: httpd,httpd_t,unconfined_t,process,signal

audit2allow

#============= httpd_t ==============
allow httpd_t unconfined_t:process signal;

audit2allow -R
require {
	type httpd_t;
}

#============= httpd_t ==============
unconfined_signal(httpd_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.8-202.fc18.x86_64
type:           libreport

Potential duplicate: bug 827088
Comment 1 Miroslav Grepl 2013-05-28 05:18:29 EDT
Did you run a service that httpd can send a signal to without using an init script?

Note You need to log in before you can comment on or make changes to this bug.